
QGIS Application - Bug report #5593

upside down labels turned upside up with new labelling machanism

2012-05-14 09:57 AM - Kay F. Jahnke

Status: Closed

Priority: Normal

Assignee: Larry Shaffer

Category: Labelling

Affected QGIS version:master Regression?: No

Operating System: Kubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 15169

Description

I have legacy data using points to label contour lines. The points have associated angle information which places the quote on the contour

so that it is parallel to the contour line, on top of it, and the top of the numbers point uphill(!). This works well with the old labelling engine,

which places labels with e.g. an angle of 180 degrees upside down. The new labelling engine seems to add 180 degrees to angle values

over 90 degrees, probably in an attempt to make things more legible. But for my data this is wrong, and I can't recreate the desired effect

with the new labelling engine. So unless I'm missing something, this seems to be another issue to make using the new engine problematic

(other problems being that the data aren't placed properly, either, and the angle is only honoured after setting x and y coordinate)

Related issues:

Related to QGIS Application - Bug report # 6482: Label rotation with angles b... Closed 2012-10-08

History

#1 - 2012-09-04 11:51 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 2.0.0

#2 - 2012-10-10 02:15 AM - Larry Shaffer

- Assignee set to Larry Shaffer

- Status changed from Open to In Progress

Hi Kay,

This should be possible now with new labeling engine in master branch. See issue #6482. Please test with your data, or maybe post a sample set from it.

#3 - 2013-05-30 07:57 AM - Sandro Santilli

It looks like this still doesn't work. Was also reported as #44 and I tested with current master. Given the original report this is really a regression, thus a

blocker.

#4 - 2013-05-30 01:20 PM - Larry Shaffer

- File upside-down-labels_options.png added

- Status changed from In Progress to Closed

- Resolution set to fixed

Hi Sandro,

This should indeed be fixed, exactly as indicated in the other issue, #6482. With the new labeling gui, the options are now located as per the attached
screen snap. Also, the reporter's other issue (rotation can't be used without X/Y defined) has been fixed as well.

Since the fix specifically was tested against contour lines, same as reporter's data, I was waiting for a second confirmation, in case the data in question

presented an unknown issue.

Please reopen issue if there is a use case or data source you can provide that shows any error with the implementation.

#5 - 2013-05-30 01:25 PM - Sandro Santilli

Ah, got it, thank you !

Files

upside-down-labels_options.png 30.1 KB 2013-05-30 Larry Shaffer
